/**
  ${moduleGroupNameUpperCase} Generated Driver API Header File

  @Company
    Microchip Technology Inc.

  @File Name
    ${moduleGroupNameLowerCase}_host_types.h

  @Summary
    This is the generated driver types header file for the ${moduleGroupNameUpperCase} driver.

  @Description
    This file provides common enumerations for ${moduleGroupNameUpperCase} driver.
    Generation Information :
        Product Revision  :  ${productName} - ${productVersion}
        Device            :  ${selectedDevice}
        Driver Version    :  1.0.0
    The generated drivers are tested against the following:
        Compiler          :  ${compiler}
        MPLAB             :  ${tool}
*/

${disclaimer}

#ifndef ${moduleGroupNameUpperCase}_HOST_TYPES_H
#define	${moduleGroupNameUpperCase}_HOST_TYPES_H

/**
  ${moduleGroupNameUpperCase}_ERROR Enumeration
 
  @Description
    ${moduleGroupNameUpperCase} ERROR code 
     
*/
enum ${moduleGroupNameUpperCase}_ERROR
{
    ${moduleGroupNameUpperCase}_ERROR_NONE,             /* No Error */
    ${moduleGroupNameUpperCase}_ERROR_NACK,             /* Client returned NACK */
    ${moduleGroupNameUpperCase}_ERROR_BUS_COLLISION,    /* Bus Collision Error */
};

/**
  ${moduleGroupNameUpperCase}_TRANSFER_SETUP structure
 
  @Description
    ${moduleGroupNameUpperCase} Clock Speed (100KHZ to 1MHZ)
     
*/
struct ${moduleGroupNameUpperCase}_TRANSFER_SETUP
{
  uint32_t clkSpeed;            // ${moduleGroupNameUpperCase} Clock Speed 
};

#endif // end of ${moduleGroupNameUpperCase}_HOST_TYPES_H